dovecot-sqlite_2.2.33.2-1ubuntu4_amd64.deb


Advertisement

Description

dovecot-sqlite - secure POP3/IMAP server - SQLite support

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package name dovecot-sqlite
Package version 2.2.33.2
Package release 1ubuntu4
Package architecture amd64
Package type deb
Installed size 74 B
Download size 9.38 KB
Official Mirror archive.ubuntu.com
Dovecot is a mail server whose major goals are security and extreme
reliability. It tries very hard to handle all error conditions and verify
that all data is valid, making it nearly impossible to crash. It supports
mbox/Maildir and its own dbox/mdbox formats, and should also be pretty
fast, extensible, and portable.
This package provides SQLite support for Dovecot.

Alternatives

Package Version Architecture Repository
dovecot-sqlite_2.2.33.2-1ubuntu4.1_amd64.deb 2.2.33.2 amd64 Ubuntu Updates Universe
dovecot-sqlite_2.2.33.2-1ubuntu4.1_i386.deb 2.2.33.2 i386 Ubuntu Updates Universe
dovecot-sqlite_2.2.33.2-1ubuntu4_i386.deb 2.2.33.2 i386 Ubuntu Universe
dovecot-sqlite - - -

Requires

Name Value
dovecot-core = 1:2.2.33.2-1ubuntu4
libc6 >= 2.14
libsqlite3-0 >= 3.5.9

Download

Type URL
Binary Package dovecot-sqlite_2.2.33.2-1ubuntu4_amd64.deb
Source Package dovecot

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install dovecot-sqlite deb package:
    # sudo apt-get install dovecot-sqlite

Files

Path
/usr/lib/dovecot/modules/libdriver_sqlite.so
/usr/lib/dovecot/modules/auth/libdriver_sqlite.so
/usr/lib/dovecot/modules/dict/libdriver_sqlite.so
/usr/share/bug/dovecot-sqlite
/usr/share/doc/dovecot-sqlite/changelog.Debian.gz
/usr/share/doc/dovecot-sqlite/copyright

Changelog

2018-02-26 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
dovecot (1:2.2.33.2-1ubuntu4) bionic; urgency=medium
* SECURITY UPDATE: rfc822_parse_domain Information Leak Vulnerability
- debian/patches/CVE-2017-14461/*.patch: upstream parsing fixes.
- CVE-2017-14461
* SECURITY UPDATE: TLS SNI config lookups DoS
- debian/patches/CVE-2017-15130/*.patch: upstream config filtering fix.
- CVE-2017-15130
2018-02-06 - Dimitri John Ledkov <xnox@ubuntu.com>
dovecot (1:2.2.33.2-1ubuntu2) bionic; urgency=high
* No change rebuild against openssl1.1.
2017-08-16 - Christian Ehrhardt <christian.ehrhardt@canonical.com>
dovecot (1:2.2.33.2-1ubuntu1) bionic; urgency=medium
* Merge with Debian unstable. Remaining changes:
- Add updated autopkgtest to debian/tests/*.
- Drop build dependency on libstemmer-dev (universe)
- Add mail-stack-delivery
- add package in d/rules, d/control
- add d/*mail-stack-delivery* maintainer scripts and default conf
- d/mail-stack-delivery.preinst: Move previously installed backups and
config files to a new package namespace.
- d/mail-stack-delivery.README.Debian clarified use of configuration files
- handle conffile removal of /etc/init/dovecot.conf (due to dropping
upstart). Can be removed once no upgrade path from <yakkety is left.
- Disable dovecot-lucene plugin as it had various issues and is deprecated
in favor of solr anyway (LP 1524526).
* Dropped changes (in Debian):
- Use Snakeoil SSL certificates by default
- d/control: Depend on ssl-cert
* Added changes:
- d/mail-stack-delivery.postinst: Use ssl key/cert paths now set up by
dovecot-core; transition for such configs formerly set up by
mail-stack-delivery to use the new default ssl config (if user had no
conffile change or choses new defaults).
- d/mail-stack-delivery.postinst: if moving dovecot to the new defaults on
upgrade, also move the related postfix key/cert entries.
- debian/99-mail-stack-delivery.conf: do not explicitly enable protocols
as all installed are auto-included from the base config now.
- adapt autopkgtests to match new version.
- d/control: for the ssl transition to work we need to ensure dovecot-core
is complete before upgrading mail-stack-delivery, so add a Pre-Depends.
- d/mail-stack-delivery.postinst: add SSL_CERT/SSL_KEY detection to
postconf section (was formerly initialized at the now dropped key setup)
- d/mail-stack-delivery.postinst: fix SSL_CERT/SSL_KEY detection to only
read non-comments from the right keywords and to strip common bad-chars
- d/mail-stack-delivery.postinst: stop modifying mandatory tls config,
recent upstream has sane defaults now
- debian/99-mail-stack-delivery.conf: drop explicit ssl_cipher_list,
recent upstream has sane defaults now
2017-11-11 - Apollon Oikonomopoulos <apoikos@debian.org>
dovecot (1:2.2.33.2-1) unstable; urgency=medium
* [8216f38] New upstream version 2.2.33.2
2017-10-13 - Apollon Oikonomopoulos <apoikos@debian.org>
dovecot (1:2.2.33.1-1) unstable; urgency=medium
* [dbd1132] New upstream version 2.2.33.1
+ [b3d1f2d] Refresh split-protocols.patch
+ [e0de123] Update pigeonhole to 0.4.21
* [ef6a1eb] Set mail_privileged_group to 'mail' by default (Closes: #711856)
* [aeb6cf3] d/copyright: convert to Format 1.0
* [5961f9d] Use dh-autoreconf for both, dovecot and pigeonhole.
* [85f1f0f] Bump Standards to 4.1.1; no changes needed
2017-09-19 - Apollon Oikonomopoulos <apoikos@debian.org>
dovecot (1:2.2.32-2) unstable; urgency=medium
* [fa71c69] dovecot-core.postinst: remove dovecot-common's postrm
(Closes: #696382)
* [e835c67] Ship decode2text.sh as an example (Closes: #767313)
* [63fb486] Deprecate dovecot-dbg in favor of auto dbgsyms
* [36b44b9] Handle unsupported SSLv2/SSLv3 in the ssl_protocols setting
gracefully (Closes: #866752)

See Also

Package Description
downtimed_1.0-1_amd64.deb monitor of downtime, shutdown, and crashes
doxygen-gui_1.8.13-10_amd64.deb GUI configuration tool for doxygen
doxygen-latex_1.8.13-10_all.deb Documentation system for C, C++, Java, Python and other languages
doxypy_0.4.2-1.1_all.deb Python input filter for Doxygen
doxyqml_0.3.0-1ubuntu1_all.deb QML filter for Doxygen
dozzaqueux-data_3.51-2_all.deb databases for chemical mixtures
dozzaqueux_3.51-2_amd64.deb simulator for chemical mixtures
dpatch_2.0.38+nmu1_all.deb patch maintenance system for Debian source packages
dpdk-igb-uio-dkms_17.11.1-6_amd64.deb Data Plane Development Kit (igb uio dkms)
dpdk-rte-kni-dkms_17.11.1-6_amd64.deb Data Plane Development Kit (rte kni dkms)
dphys-config_20130301~current-5_all.deb Tool to distribute config files by fetching them
dphys-swapfile_20100506-3_all.deb Autogenerate and use a swap file
dpic_2014.01.01+dfsg1-0ubuntu2_amd64.deb Produce diagrams for LaTeX documents or web files
dpkg-awk_1.2+nmu2_all.deb Gawk script to parse /var/lib/dpkg/{status,available} and Packages
dpkg-dev-el_36.3ubuntu1_all.deb Emacs helpers specific to Debian development
Advertisement
Advertisement